Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.business.mycarenetcommons.v4.builders
Class RequestObjectBuilderHelper<T extends SendRequestType>

    java.lang.Object
      be.ehealth.business.mycarenetcommons.v4.builders.RequestObjectBuilderHelper<T>

    public class RequestObjectBuilderHelper<T extends SendRequestType>

extends Object

Nested Class Summary
`static class` | `RequestObjectBuilderHelper.WithoutRouting`
`static class` | `RequestObjectBuilderHelper.WithRouting`

Constructor Summary
`RequestObjectBuilderHelper()`

Method Summary
`T` | `buildSendRequestType(boolean isTest, String inputReference, List<Attribute> attributes, Blob blob, String projectIdentifier, Class<T> clazz)`
`void` | `checkParameterNotNull(Object references, String parameterName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestObjectBuilderHelper

    public RequestObjectBuilderHelper()

Method Detail

### buildSendRequestType

    public T buildSendRequestType(boolean isTest,
                                  String inputReference,
                                  List<Attribute> attributes,
                                  Blob blob,
                                  String projectIdentifier,
                                  Class<T> clazz)
                                                   throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### checkParameterNotNull

    public void checkParameterNotNull(Object references,
                                      String parameterName)
                               throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging OTMOBILITYIMPROVEMENT 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.